"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ExternalTaskWorker {
    constructor(externalTaskApi) {
        this._workerId = 'TestWorker';
        this._lockDuration = 30000;
        this._externalTaskApi = undefined;
        this._externalTaskApi = externalTaskApi;
    }
    async waitForAndHandle(identity, topic, maxTasks, longpollingTimeout, handleAction) {
        const externalTasks = await this._externalTaskApi.fetchAndLockExternalTasks(identity, this._workerId, topic, maxTasks, longpollingTimeout, this._lockDuration);
        for (const externalTask of externalTasks) {
            const result = await handleAction(externalTask);
            await this._externalTaskApi.finishExternalTask(identity, this._workerId, externalTask.id, result);
        }
        await this.waitForAndHandle(identity, topic, maxTasks, longpollingTimeout, handleAction);
    }
}
exports.ExternalTaskWorker = ExternalTaskWorker;

//# sourceMappingURL=external_task_worker.js.map
